Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.common
Interface IMinecartCollisionHandler

    public interface IMinecartCollisionHandler

This class defines a replacement for the default minecart collision code. Only one handler can be registered at a time. It it registered with EntityMinecart.registerCollisionHandler(). If you use this, make it a configuration option.

Author:
  CovertJaguar

Method Summary
`AxisAlignedBB` | `getBoundingBox(EntityMinecart cart)` This function replaces the function of the same name in EntityMinecart.
`AxisAlignedBB` | `getCollisionBox(EntityMinecart cart, Entity other)` This function replaced the function of the same name in EntityMinecart.
`AxisAlignedBB` | `getMinecartCollisionBox(EntityMinecart cart)` This function is used to define the box used for detecting minecart collisions.
`void` | `onEntityCollision(EntityMinecart cart, Entity other)` This basically replaces the function of the same name in EnityMinecart.

Method Detail

### onEntityCollision

    void onEntityCollision(EntityMinecart cart,
                           Entity other)

  This basically replaces the function of the same name in EnityMinecart. Code in IMinecartHooks.applyEntityCollisionHook is still run.

  Parameters:
    `cart` - The cart that called the collision.
    `other` - The object it collided with.

### getCollisionBox

    AxisAlignedBB getCollisionBox(EntityMinecart cart,
                                  Entity other)

  This function replaced the function of the same name in EntityMinecart. It is used to define whether minecarts collide with specific entities, for example items.

  Parameters:
    `cart` - The cart for which the collision box was requested.
    `other` - The entity requesting the collision box.
  Returns:
    The collision box or null.

### getMinecartCollisionBox

    AxisAlignedBB getMinecartCollisionBox(EntityMinecart cart)

  This function is used to define the box used for detecting minecart collisions. It is generally bigger that the normal collision box.

  Parameters:
    `cart` - The cart for which the collision box was requested.
  Returns:
    The collision box, cannot be null.

### getBoundingBox

    AxisAlignedBB getBoundingBox(EntityMinecart cart)

  This function replaces the function of the same name in EntityMinecart. It defines whether minecarts are solid to the player.

  Parameters:
    `cart` - The cart for which the bounding box was requested.
  Returns:
    The bounding box or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD